// Project Lab - NHTV Igad

#include "UnrealProject.h"
#include "TrailActor.h"


ATrailActor::ATrailActor()
{

}

void ATrailActor::BeginPlay()
{
	Super::BeginPlay();
	
}



void ATrailActor::DynamicDestroy()
{
	Destroy();
}

void ATrailActor::DynamicAdd()
{
	GetOwner()->OnDestroyed.AddDynamic(this, &ATrailActor::DynamicDestroy);
}